F5 Networks BIG-IP : libxml2 vulnerability (SOL15872)

Medium Nessus Plugin ID 79732

Synopsis

The remote device is missing a vendor-supplied security patch.

Description

parser.c in libxml2 before 2.9.2 does not properly prevent entity expansion even when entity substitution has been disabled, which allows context-dependent attackers to cause a denial of service (CPU consumption) via a crafted XML document containing a large number of nested entity references, a variant of the 'billion laughs' attack.

Solution

Upgrade to one of the non-vulnerable versions listed in the F5 Solution SOL15872.

See Also

https://support.f5.com/csp/article/K15872

Plugin Details

Severity: Medium

ID: 79732

File Name: f5_bigip_SOL15872.nasl

Version: 1.8

Type: local

Published: 2014/12/05

Updated: 2019/01/04

Dependencies: 76940

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 5

Temporal Score: 3.7

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:f5:big-ip_access_policy_manager, cpe:/h:f5:big-ip

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2014/12/04

Reference Information

CVE: CVE-2014-3660

BID: 70644